#########################################
# PSS SKA pipeline - Developer Spin
#########################################
ARG CENTOS_DEPLOY
FROM ${CENTOS_DEPLOY} AS base_image
LABEL maintainer="christopher.williams@physics.ox.ac.uk"
LABEL description="The Pulsar Search Pipeline - developer spin"

WORKDIR /home

# ------------------------
# install development tools
# ------------------------
ARG CUDA_VERSION
RUN yum -y install \
    gcc-c++ \
    cmake \
    doxygen \
    boost-devel \
    git \
    rpm-build \
    cuda-toolkit-${CUDA_VERSION/\./-}

ENTRYPOINT /bin/bash
